uniform sampler2D displacementMap;
uniform float time;
uniform float diffuseScrollSpeed;
void main(void)
{
	float t = time;
    
	 vec2 uv = gl_TexCoord[0].xy;

    uv.x -= t * diffuseScrollSpeed; //step(sin(t),0.1);
    uv.y -= t * diffuseScrollSpeed; //step(sin(t),0.2);
	vec4 color = texture2D(displacementMap, uv);

	gl_FragColor = color;
}